## org.codehaus.groovy.runtime.metaclass
Class MetaMethodIndex.Entry

    java.lang.Object
      org.codehaus.groovy.runtime.metaclass.MetaMethodIndex.Entry

Enclosing class:
  MetaMethodIndex

    public static class MetaMethodIndex.Entry

extends Object

Field Summary
`MetaMethodIndex.CacheEntry` `cachedMethod`
`MetaMethodIndex.CacheEntry` `cachedMethodForSuper`
`MetaMethodIndex.CacheEntry` `cachedStaticMethod`
`Class` `cls`
`int` `hash`
`Object` `methods`
`Object` `methodsForSuper`
`String` `name`
`MetaMethodIndex.Entry` `nextClassEntry`
`MetaMethodIndex.Entry` `nextHashEntry`
`Object` `staticMethods`

Constructor Summary
`MetaMethodIndex.Entry()`

Method Summary
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### hash

    public int hash

### nextHashEntry

    public MetaMethodIndex.Entry nextHashEntry

### nextClassEntry

    public MetaMethodIndex.Entry nextClassEntry

### name

    public String name

### cls

    public Class cls

### methods

    public Object methods

### methodsForSuper

    public Object methodsForSuper

### staticMethods

    public Object staticMethods

### cachedMethod

    public MetaMethodIndex.CacheEntry cachedMethod

### cachedMethodForSuper

    public MetaMethodIndex.CacheEntry cachedMethodForSuper

### cachedStaticMethod

    public MetaMethodIndex.CacheEntry cachedStaticMethod

Constructor Detail

### MetaMethodIndex.Entry

    public MetaMethodIndex.Entry()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2003-2008 The Codehaus. All rights reserved.